Index: branches/new_class_id/src/lib/lang/new_object_list.cc
===================================================================
--- branches/new_class_id/src/lib/lang/new_object_list.cc	(revision 9714)
+++ branches/new_class_id/src/lib/lang/new_object_list.cc	(revision 9715)
@@ -28,23 +28,23 @@
  * @return a new NewObejctList
  */
-NewObjectListBase::NewObjectListBase(const std::string& className, int id)
+ObjectListBase::ObjectListBase(const std::string& className, int id)
     : _name(className)
 {
-  printf("NewObjectList, Registered %s::%d\n", className.c_str(), id);
-  if (NewObjectListBase::_classesByID == NULL)
-  {
-    NewObjectListBase::_classesByID = new classIDMap;
-    assert (NewObjectListBase::_classesByName == NULL);
-    NewObjectListBase::_classesByName = new classNameMap;
-  }
-  assert(!NewObjectListBase::classNameExists(className) && "Classes should only be included once, and no two classes should have the same name (key value)");
+  printf("ObjectList, Registered %s::%d\n", className.c_str(), id);
+  if (ObjectListBase::_classesByID == NULL)
+  {
+    ObjectListBase::_classesByID = new classIDMap;
+    assert (ObjectListBase::_classesByName == NULL);
+    ObjectListBase::_classesByName = new classNameMap;
+  }
+  assert(!ObjectListBase::classNameExists(className) && "Classes should only be included once, and no two classes should have the same name (key value)");
 
   if (id == -1)
   {
-    id = NewObjectListBase::_classesByID->size();
+    id = ObjectListBase::_classesByID->size();
     // searching for a free ID
-    while (NewObjectListBase::classIDExists(id)) ++id;
-  }
-  assert(!NewObjectListBase::classIDExists(id) && "Classes should only be included once, and no two classes should have the same ID (key value)");
+    while (ObjectListBase::classIDExists(id)) ++id;
+  }
+  assert(!ObjectListBase::classIDExists(id) && "Classes should only be included once, and no two classes should have the same ID (key value)");
 
   _id = id;
@@ -52,7 +52,7 @@
   std::cout << "register new ObjectList " << className << " ID: " << this->_id << std::endl;
 
-  this->_identity = NewClassID(this);
-  (*NewObjectListBase::_classesByID)[this->_identity.id()] = this;
-  (*NewObjectListBase::_classesByName)[this->_identity.name()] = this;
+  this->_identity = ClassID(this);
+  (*ObjectListBase::_classesByID)[this->_identity.id()] = this;
+  (*ObjectListBase::_classesByName)[this->_identity.name()] = this;
 }
 
@@ -61,37 +61,37 @@
  * Destructor.
  *
- * This destructor deletes the NewObjectList, and cleans up the NewObjectList sorted Maps.
- */
-NewObjectListBase::~NewObjectListBase()
-{
-  assert (NewObjectListBase::_classesByName != NULL && NewObjectListBase::_classesByID != NULL);
+ * This destructor deletes the ObjectList, and cleans up the ObjectList sorted Maps.
+ */
+ObjectListBase::~ObjectListBase()
+{
+  assert (ObjectListBase::_classesByName != NULL && ObjectListBase::_classesByID != NULL);
   /*
   std::cout << "Erasing: " << this->_name << " "<< this->_id  << std::endl;
-  std::cout << "SIZE OF _classByID: " << NewObjectListBase::_classesByID->size() << std::endl;
-  std::cout << "SIZE OF _classByName: " << NewObjectListBase::_classesByName->size() << std::endl;
+  std::cout << "SIZE OF _classByID: " << ObjectListBase::_classesByID->size() << std::endl;
+  std::cout << "SIZE OF _classByName: " << ObjectListBase::_classesByName->size() << std::endl;
   */
-  NewObjectListBase::_classesByID->erase(this->_identity.id());
-  NewObjectListBase::_classesByName->erase(this->_identity.name());
-
-  if (NewObjectListBase::_classesByID->empty())
-  {
-    delete NewObjectListBase::_classesByID;
-    NewObjectListBase::_classesByID = NULL;
-    assert(NewObjectListBase::_classesByName != NULL);
-    delete NewObjectListBase::_classesByName;
-    NewObjectListBase::_classesByName = NULL;
-  }
-}
-
-NewObjectListBase::classIDMap* NewObjectListBase::_classesByID = NULL;
-NewObjectListBase::classNameMap* NewObjectListBase::_classesByName = NULL;
+  ObjectListBase::_classesByID->erase(this->_identity.id());
+  ObjectListBase::_classesByName->erase(this->_identity.name());
+
+  if (ObjectListBase::_classesByID->empty())
+  {
+    delete ObjectListBase::_classesByID;
+    ObjectListBase::_classesByID = NULL;
+    assert(ObjectListBase::_classesByName != NULL);
+    delete ObjectListBase::_classesByName;
+    ObjectListBase::_classesByName = NULL;
+  }
+}
+
+ObjectListBase::classIDMap* ObjectListBase::_classesByID = NULL;
+ObjectListBase::classNameMap* ObjectListBase::_classesByName = NULL;
 
 /**
  * @returns the Registered Class Count.
  */
-unsigned int NewObjectListBase::classCount()
-{
-  assert (NewObjectListBase::_classesByID != NULL);
-  return NewObjectListBase::_classesByID->size();
+unsigned int ObjectListBase::classCount()
+{
+  assert (ObjectListBase::_classesByID != NULL);
+  return ObjectListBase::_classesByID->size();
 };
 
@@ -101,7 +101,7 @@
  * @return true if such a class already exists.
  */
-bool NewObjectListBase::classIDExists(int id)
-{
-  return (NewObjectListBase::_classesByID->find(id) != NewObjectListBase::_classesByID->end());
+bool ObjectListBase::classIDExists(int id)
+{
+  return (ObjectListBase::_classesByID->find(id) != ObjectListBase::_classesByID->end());
 }
 
@@ -111,17 +111,17 @@
  * @return true if such a class already exists.
  */
-bool NewObjectListBase::classNameExists(const std::string& name)
-{
-  return (NewObjectListBase::_classesByName->find(name) != NewObjectListBase::_classesByName->end());
-}
-
-/**
- * @brief searches for a NewClassID in the list of all NewObjectLists, and returns its Identity
+bool ObjectListBase::classNameExists(const std::string& name)
+{
+  return (ObjectListBase::_classesByName->find(name) != ObjectListBase::_classesByName->end());
+}
+
+/**
+ * @brief searches for a ClassID in the list of all ObjectLists, and returns its Identity
  * @param id: The Id to search for
  * @returns the ClassID if found and NullClass' identity if not.
  */
-const NewClassID& NewObjectListBase::retrieveIdentity(int id)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(id);
+const ClassID& ObjectListBase::retrieveIdentity(int id)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(id);
 
   if (base != NULL)
@@ -133,11 +133,11 @@
 
 /**
- * @brief searches for a NewClassID in the list of all NewObjectLists, and returns its Identity
+ * @brief searches for a ClassID in the list of all ObjectLists, and returns its Identity
  * @param name: The Name to search for
  * @returns the ClassID if found and NullClass' identity if not.
  */
-const NewClassID& NewObjectListBase::retrieveIdentity(const std::string& name)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(name);
+const ClassID& ObjectListBase::retrieveIdentity(const std::string& name)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(name);
 
   if (base != NULL)
@@ -151,11 +151,11 @@
  * @brief Searches for a ObjectList with the ID classID
  * @param classID the ID to search for.
- * @return The NewObjectList if found, NULL otherwise.
- */
-const NewObjectListBase* const NewObjectListBase::getObjectList(int classID)
-{
-  assert (NewObjectListBase::_classesByID != NULL);
-  NewObjectListBase::classIDMap::iterator it = NewObjectListBase::_classesByID->find(classID);
-  if (it != NewObjectListBase::_classesByID->end())
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(int classID)
+{
+  assert (ObjectListBase::_classesByID != NULL);
+  ObjectListBase::classIDMap::iterator it = ObjectListBase::_classesByID->find(classID);
+  if (it != ObjectListBase::_classesByID->end())
     return (*it).second;
   else
@@ -166,11 +166,11 @@
  * @brief Searches for a ObjectList with the Name className
  * @param className the Name to search for.
- * @return The NewObjectList if found, NULL otherwise.
- */
-const NewObjectListBase* const NewObjectListBase::getObjectList(const std::string& className)
-{
-  assert (NewObjectListBase::_classesByName != NULL);
-  NewObjectListBase::classNameMap::iterator it = NewObjectListBase::_classesByName->find(className);
-  if (it != NewObjectListBase::_classesByName->end())
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(const std::string& className)
+{
+  assert (ObjectListBase::_classesByName != NULL);
+  ObjectListBase::classNameMap::iterator it = ObjectListBase::_classesByName->find(className);
+  if (it != ObjectListBase::_classesByName->end())
     return (*it).second;
   else
@@ -179,11 +179,11 @@
 
 /**
- * @brief Searches for a ObjectList with the NewClassID classID
+ * @brief Searches for a ObjectList with the ClassID classID
  * @param classID the ID to search for.
- * @return The NewObjectList if found, NULL otherwise.
- */
-const NewObjectListBase* const NewObjectListBase::getObjectList(const NewClassID& classID)
-{
-  return NewObjectListBase::getObjectList(classID.id());
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(const ClassID& classID)
+{
+  return ObjectListBase::getObjectList(classID.id());
 }
 
@@ -193,7 +193,7 @@
  * @param objectName the Name of the Object to search for
  */
-BaseObject* NewObjectListBase::getBaseObject(int classID, const std::string& objectName)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(classID);
+BaseObject* ObjectListBase::getBaseObject(int classID, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
 
   if (base != NULL)
@@ -208,7 +208,7 @@
  * @param objectName the Name of the Object to search for
  */
-BaseObject* NewObjectListBase::getBaseObject(const std::string& className, const std::string& objectName)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(className);
+BaseObject* ObjectListBase::getBaseObject(const std::string& className, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(className);
 
   if (base != NULL)
@@ -220,10 +220,10 @@
 /**
  * @brief Retrieves the first BaseObject matching the name objectName from the List matching classID.
- * @param classID The NewClassID of the List.
+ * @param classID The ClassID of the List.
  * @param objectName the Name of the Object to search for
  */
-BaseObject* NewObjectListBase::getBaseObject(const NewClassID& classID, const std::string& objectName)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(classID);
+BaseObject* ObjectListBase::getBaseObject(const ClassID& classID, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
 
   if (base != NULL)
@@ -238,5 +238,5 @@
  * @brief Prints out some debugging information about a given List.
  */
-void NewObjectListBase::debug(unsigned int level) const
+void ObjectListBase::debug(unsigned int level) const
 {
   base_list list;
@@ -259,10 +259,10 @@
 
 
-void NewObjectListBase::debugAll(unsigned int level)
-{
-  printf("Listing all %d ObjectLists \n", NewObjectListBase::_classesByID->size());
-
-  for (classNameMap::const_iterator it = NewObjectListBase::_classesByName->begin();
-       it != NewObjectListBase::_classesByName->end();
+void ObjectListBase::debugAll(unsigned int level)
+{
+  printf("Listing all %d ObjectLists \n", ObjectListBase::_classesByID->size());
+
+  for (classNameMap::const_iterator it = ObjectListBase::_classesByName->begin();
+       it != ObjectListBase::_classesByName->end();
        ++it)
   {
@@ -280,7 +280,7 @@
  * @return The ClassName or an empty string if the ID was not found.
  */
-const std::string& NewObjectListBase::IDToString(int classID)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(classID);
+const std::string& ObjectListBase::IDToString(int classID)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
 
   if (base != NULL)
@@ -299,7 +299,7 @@
  * @return The Classes ID if found, -1 otherwise.
  */
-int NewObjectListBase::StringToID(const std::string& className)
-{
-  const NewObjectListBase* const base = NewObjectListBase::getObjectList(className);
+int ObjectListBase::StringToID(const std::string& className)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(className);
 
   if (base != NULL)
Index: branches/new_class_id/src/lib/lang/new_object_list.h
===================================================================
--- branches/new_class_id/src/lib/lang/new_object_list.h	(revision 9714)
+++ branches/new_class_id/src/lib/lang/new_object_list.h	(revision 9715)
@@ -21,24 +21,24 @@
  * two new functions objectList() and classID().
  */
-#define NewObjectListDeclaration(ClassName) \
+#define ObjectListDeclaration(ClassName) \
   public: \
-   static inline const NewObjectList<ClassName>& objectList() { return ClassName::_objectList; }; \
-   static inline const NewClassID& classID() { return ClassName::_objectList.identity(); }; \
+   static inline const ObjectList<ClassName>& objectList() { return ClassName::_objectList; }; \
+   static inline const ClassID& classID() { return ClassName::_objectList.identity(); }; \
   private: \
-   static NewObjectList<ClassName> _objectList
-
-#define NewObjectListDefinitionID(ClassName, ID) \
-   NewObjectList<ClassName> ClassName::_objectList(#ClassName, ID)
-
-
-#define NewObjectListDefinition(ClassName) \
-    NewObjectListDefinitionID(ClassName, -1)
+   static ObjectList<ClassName> _objectList
+
+#define ObjectListDefinitionID(ClassName, ID) \
+   ObjectList<ClassName> ClassName::_objectList(#ClassName, ID)
+
+
+#define ObjectListDefinition(ClassName) \
+    ObjectListDefinitionID(ClassName, -1)
 
 class BaseObject;
-//! The superclass that all NewObjectLists follow.
-/**
- * @see template<class T> NewObjectList<T>
- */
-class NewObjectListBase
+//! The superclass that all ObjectLists follow.
+/**
+ * @see template<class T> ObjectList<T>
+ */
+class ObjectListBase
 {
 public:
@@ -56,5 +56,5 @@
 public:
   /** @returns The Identity of the Class stored within. */
-  inline const NewClassID&              identity() const { return _identity; }
+  inline const ClassID&              identity() const { return _identity; }
   /** @returns the ID of the Identity of the ObjectList */
   inline int                            id() const { return _id; };
@@ -64,5 +64,5 @@
   inline bool                           operator==(int id) const { return _id == id; };
   /** @param id The id to compare @returns true on match, false otherwise */
-  inline bool                           operator==(const NewClassID& id) const { return id == _id; };
+  inline bool                           operator==(const ClassID& id) const { return id == _id; };
   /** @param name The name to compare @returns true on match, false otherwise */
   inline bool                           operator==(const std::string& name) const { return _name == name; };
@@ -72,14 +72,14 @@
   virtual void                          getBaseObjectList(base_list* list) const = 0;
 
-  static const NewClassID&              retrieveIdentity(int id);
-  static const NewClassID&              retrieveIdentity(const std::string& name);
-
-  static const NewObjectListBase* const getObjectList(int classID);
-  static const NewObjectListBase* const getObjectList(const std::string& className);
-  static const NewObjectListBase* const getObjectList(const NewClassID& classID);
+  static const ClassID&              retrieveIdentity(int id);
+  static const ClassID&              retrieveIdentity(const std::string& name);
+
+  static const ObjectListBase* const getObjectList(int classID);
+  static const ObjectListBase* const getObjectList(const std::string& className);
+  static const ObjectListBase* const getObjectList(const ClassID& classID);
 
   static BaseObject*                    getBaseObject(int classID, const std::string& objectName);
   static BaseObject*                    getBaseObject(const std::string& className, const std::string& objectName);
-  static BaseObject*                    getBaseObject(const NewClassID& classID, const std::string& objectName);
+  static BaseObject*                    getBaseObject(const ClassID& classID, const std::string& objectName);
 
   /** @returns an Object with Name name out of this List @param name the name of the Object. */
@@ -100,9 +100,9 @@
 
 protected:
-  NewObjectListBase(const std::string& className, int id = -1);
-  virtual ~NewObjectListBase();
-
-private:
-  NewObjectListBase(const NewObjectListBase&);
+  ObjectListBase(const std::string& className, int id = -1);
+  virtual ~ObjectListBase();
+
+private:
+  ObjectListBase(const ObjectListBase&);
 
   static bool                         classIDExists(int id);
@@ -111,11 +111,11 @@
 
 protected:
-  typedef std::map<int, NewObjectListBase*>         classIDMap;   //!< The Generic Map.
-  typedef std::map<std::string, NewObjectListBase*> classNameMap; //!< The Generic Map.
+  typedef std::map<int, ObjectListBase*>         classIDMap;   //!< The Generic Map.
+  typedef std::map<std::string, ObjectListBase*> classNameMap; //!< The Generic Map.
 
 private:
   int                           _id;
   const std::string             _name;              //!< The Name of the Class.
-  NewClassID                    _identity;          //!< The Identity of the Class. (equal to _id and _name)
+  ClassID                    _identity;          //!< The Identity of the Class. (equal to _id and _name)
 
 private:
@@ -135,5 +135,5 @@
  *  as with normal std::list.
  *
- * Furthermore the linkage over the single Lists is given over the Superclass NewObjectListBase.
+ * Furthermore the linkage over the single Lists is given over the Superclass ObjectListBase.
  *
  *
@@ -141,6 +141,6 @@
  *
  * To define a Class with a ObjectList, you have to:
- *  1. Include 'NewObjectListDeclaration(T);' in its Declaration (at the beginning)
- *  2. Include 'NewObjectListDefinition(T);' in some Definition file (cc-file)
+ *  1. Include 'ObjectListDeclaration(T);' in its Declaration (at the beginning)
+ *  2. Include 'ObjectListDefinition(T);' in some Definition file (cc-file)
  *  3. In the constructor add 'registerObject(this, objectList);'
  *
@@ -154,5 +154,5 @@
  *
  * @example Iterating: Iteration is made easy, and fast as follows:
- *   for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+ *   for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
  *      it != PlayerStats::objectList().end();
  *     ++it)
@@ -166,5 +166,5 @@
  */
 template<class T>
-class NewObjectList : public NewObjectListBase
+class ObjectList : public ObjectListBase
 {
 public:
@@ -174,15 +174,15 @@
 
 
-class Iterator : public NewObjectListBase::IteratorBase
+class Iterator : public ObjectListBase::IteratorBase
   {
   public:
     Iterator(iterator it) { _it = it; }
     inline iterator& it() { return _it; }
-    typename NewObjectList::iterator _it;
+    typename ObjectList::iterator _it;
   };
 
 public:
-  NewObjectList(const std::string& name, int id = -1);
-  ~NewObjectList();
+  ObjectList(const std::string& name, int id = -1);
+  ~ObjectList();
 
   virtual BaseObject*                getBaseObject(const std::string& name) const;
@@ -210,14 +210,14 @@
 
 
-  NewObjectListBase::IteratorBase*   registerObject(T* object);
+  ObjectListBase::IteratorBase*   registerObject(T* object);
   virtual void                       unregisterObject(IteratorBase* iterator);
 
 protected:
-  virtual void                       getBaseObjectList(NewObjectListBase::base_list* list) const;
+  virtual void                       getBaseObjectList(ObjectListBase::base_list* list) const;
 
 
 private:
   //! the copy constructor will be hidden.
-  NewObjectList(const NewObjectList& definer) {};
+  ObjectList(const ObjectList& definer) {};
 
 private:
@@ -233,18 +233,18 @@
 /////////////////////////
 /**
- * @brief creates a new NewObjectList
+ * @brief creates a new ObjectList
  * @param name The name of the Class.
  * @param id The ID of the class if desired, or -1 if an id should be assigned automatically.
  */
 template <class T>
-NewObjectList<T>::NewObjectList(const std::string& name, int id)
-    : NewObjectListBase(name, id)
+ObjectList<T>::ObjectList(const std::string& name, int id)
+    : ObjectListBase(name, id)
 {}
 
 /**
- * @brief deletes the NewObjectList.
- */
-template <class T>
-NewObjectList<T>::~NewObjectList()
+ * @brief deletes the ObjectList.
+ */
+template <class T>
+ObjectList<T>::~ObjectList()
 {
   if (!_objects.empty())
@@ -260,5 +260,5 @@
  */
 template <class T>
-BaseObject* NewObjectList<T>::getBaseObject(const std::string& name) const
+BaseObject* ObjectList<T>::getBaseObject(const std::string& name) const
 {
   return this->getObject(name);
@@ -273,5 +273,5 @@
  */
 template <class T>
-T* NewObjectList<T>::getObject(const std::string& name) const
+T* ObjectList<T>::getObject(const std::string& name) const
 {
   const_iterator it;
@@ -288,5 +288,5 @@
  */
 template <class T>
-    bool NewObjectList<T>::exists(const T* const object) const
+    bool ObjectList<T>::exists(const T* const object) const
 {
   return (std::find(_objects.begin(), _objects.end(), object) != _objects.end());
@@ -299,5 +299,5 @@
  */
 template <class T>
-void NewObjectList<T>::getBaseObjectList(NewObjectListBase::base_list* list) const
+void ObjectList<T>::getBaseObjectList(ObjectListBase::base_list* list) const
 {
   assert (list != NULL);
@@ -309,10 +309,10 @@
 
 /**
- * @brief registers an Object to the NewObjectList.
+ * @brief registers an Object to the ObjectList.
  * @param T object the Object to register.
  * @returns a pointer to the iterator inside of the list.
  */
 template <class T>
-NewObjectListBase::IteratorBase* NewObjectList<T>::registerObject(T* object)
+ObjectListBase::IteratorBase* ObjectList<T>::registerObject(T* object)
 {
   this->_objects.push_back(object);
@@ -325,5 +325,5 @@
  */
 template <class T>
-void NewObjectList<T>::unregisterObject(IteratorBase* iterator)
+void ObjectList<T>::unregisterObject(IteratorBase* iterator)
 {
   this->_objects.erase(static_cast<Iterator*>(iterator)->it());
Index: branches/new_class_id/src/lib/lang/test_object_list.cc
===================================================================
--- branches/new_class_id/src/lib/lang/test_object_list.cc	(revision 9714)
+++ branches/new_class_id/src/lib/lang/test_object_list.cc	(revision 9715)
@@ -12,5 +12,5 @@
   //   bool operator==(const std::string& name) const { return _objectName == name; };
 
-    NewObjectListDeclaration(NewBaseObject);
+    ObjectListDeclaration(NewBaseObject);
 
 protected:
@@ -20,12 +20,12 @@
   };
   template<class T>
-  inline void registerObject(T* object, NewObjectList<T>& objectList) { _id.registerObject(object, objectList); };
+  inline void registerObject(T* object, ObjectList<T>& objectList) { _id.registerObject(object, objectList); };
 protected:
-  NewClassID    _id;
+  ClassID    _id;
   std::string   _objectName;
 
 
 };
-NewObjectListDefinition(NewBaseObject);
+ObjectListDefinition(NewBaseObject);
 
 
@@ -40,8 +40,8 @@
 
 
-  NewObjectListDeclaration(Test);
+  ObjectListDeclaration(Test);
   //ObjectListDeclaration(Test);
 };
-NewObjectListDefinitionID(Test, -1);
+ObjectListDefinitionID(Test, -1);
 
 Test::Test()
@@ -73,7 +73,7 @@
     //  std::cout << "~Bone()\n";
   };
-  NewObjectListDeclaration(Bone);
+  ObjectListDeclaration(Bone);
 };
-NewObjectListDefinitionID(Bone, -1);
+ObjectListDefinitionID(Bone, -1);
 
 int main()
Index: branches/new_class_id/src/lib/network/converter.cc
===================================================================
--- branches/new_class_id/src/lib/network/converter.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/converter.cc	(revision 9715)
@@ -28,5 +28,5 @@
 SHELL_COMMAND_STATIC(debug, Converter, Converter::debug);
 
-NewObjectListDefinition(Converter);
+ObjectListDefinition(Converter);
 /* using namespace std is default, this needs to be here */
 
Index: branches/new_class_id/src/lib/network/converter.h
===================================================================
--- branches/new_class_id/src/lib/network/converter.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/converter.h	(revision 9715)
@@ -24,5 +24,5 @@
 class Converter : public BaseObject
 {
-  NewObjectListDeclaration(Converter);
+  ObjectListDeclaration(Converter);
   public:
     static byte* intToByteArray(int x);
Index: branches/new_class_id/src/lib/network/data_stream.cc
===================================================================
--- branches/new_class_id/src/lib/network/data_stream.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/data_stream.cc	(revision 9715)
@@ -20,5 +20,5 @@
 /* using namespace std is default, this needs to be here */
 
-NewObjectListDefinition(DataStream);
+ObjectListDefinition(DataStream);
 
 /**
Index: branches/new_class_id/src/lib/network/data_stream.h
===================================================================
--- branches/new_class_id/src/lib/network/data_stream.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/data_stream.h	(revision 9715)
@@ -17,5 +17,5 @@
 class DataStream : public BaseObject
 {
-  NewObjectListDeclaration(DataStream);
+  ObjectListDeclaration(DataStream);
   public:
       DataStream();
Index: branches/new_class_id/src/lib/network/handshake.cc
===================================================================
--- branches/new_class_id/src/lib/network/handshake.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/handshake.cc	(revision 9715)
@@ -23,5 +23,5 @@
 
 
-NewObjectListDefinition(Handshake);
+ObjectListDefinition(Handshake);
 
 
Index: branches/new_class_id/src/lib/network/handshake.h
===================================================================
--- branches/new_class_id/src/lib/network/handshake.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/handshake.h	(revision 9715)
@@ -42,5 +42,5 @@
 class Handshake : public Synchronizeable
 {
-  NewObjectListDeclaration(Handshake);
+  ObjectListDeclaration(Handshake);
   public:
     Handshake( int nodeType, int clientId = 0, int networkGameManagerId = 0, int messageManagerId = 0 );
Index: branches/new_class_id/src/lib/network/message_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/message_manager.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/message_manager.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 
-NewObjectListDefinition(MessageManager);
+ObjectListDefinition(MessageManager);
 MessageManager* MessageManager::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/message_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/message_manager.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/message_manager.h	(revision 9715)
@@ -96,5 +96,5 @@
 class MessageManager : public Synchronizeable {
 
-  NewObjectListDeclaration(MessageManager);
+  ObjectListDeclaration(MessageManager);
  public:
    inline static MessageManager * getInstance(){ if (!singletonRef) singletonRef = new MessageManager();  return singletonRef; }
Index: branches/new_class_id/src/lib/network/monitor/connection_monitor.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/connection_monitor.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/connection_monitor.cc	(revision 9715)
@@ -23,5 +23,5 @@
 /* using namespace std is default, this needs to be here */
 
-NewObjectListDefinition(ConnectionMonitor);
+ObjectListDefinition(ConnectionMonitor);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/monitor/connection_monitor.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/connection_monitor.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/connection_monitor.h	(revision 9715)
@@ -19,5 +19,5 @@
 class ConnectionMonitor : virtual public BaseObject
 {
-  NewObjectListDeclaration(ConnectionMonitor);
+  ObjectListDeclaration(ConnectionMonitor);
   public:
     ConnectionMonitor( int userId );
Index: branches/new_class_id/src/lib/network/monitor/network_monitor.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_monitor.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/network_monitor.cc	(revision 9715)
@@ -37,5 +37,5 @@
 SHELL_COMMAND(debug, NetworkMonitor, debug);
 
-NewObjectListDefinition(NetworkMonitor);
+ObjectListDefinition(NetworkMonitor);
 
 
Index: branches/new_class_id/src/lib/network/monitor/network_monitor.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_monitor.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/network_monitor.h	(revision 9715)
@@ -27,5 +27,5 @@
 class NetworkMonitor : public Synchronizeable
 {
-  NewObjectListDeclaration(NetworkMonitor);
+  ObjectListDeclaration(NetworkMonitor);
   public:
     NetworkMonitor(NetworkStream* networkStream);
Index: branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9715)
@@ -211,5 +211,5 @@
 
 
-NewObjectListDefinition(NetworkStatsWidget);
+ObjectListDefinition(NetworkStatsWidget);
 /**
  * @brief standard constructor
Index: branches/new_class_id/src/lib/network/monitor/network_stats_widget.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_stats_widget.h	(revision 9714)
+++ branches/new_class_id/src/lib/network/monitor/network_stats_widget.h	(revision 9715)
@@ -81,5 +81,5 @@
 class NetworkStatsWidget : public OrxGui::GLGuiFixedpositionBox
 {
-  NewObjectListDeclaration(NetworkStatsWidget);
+  ObjectListDeclaration(NetworkStatsWidget);
   public:
     static void toggleGUI();
Index: branches/new_class_id/src/lib/network/network_game_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9714)
+++ branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9715)
@@ -46,5 +46,5 @@
 
 
-NewObjectListDefinition(NetworkGameManager);
+ObjectListDefinition(NetworkGameManager);
 NetworkGameManager* NetworkGameManager::singletonRef = NULL;
 
@@ -97,5 +97,5 @@
 
   int          team = rules.getTeamForNewUser();
-  NewClassID   playableClassId = rules.getPlayableClassId( userId, team );
+  ClassID   playableClassId = rules.getPlayableClassId( userId, team );
   std::string  playableModel = rules.getPlayableModelFileName( userId, team, playableClassId );
   std::string  playableTexture = rules.getPlayableModelFileName( userId, team, playableClassId );
@@ -186,5 +186,5 @@
   }
 
-  for (NewObjectList<Synchronizeable>::const_iterator it = Synchronizeable::objectList().begin();
+  for (ObjectList<Synchronizeable>::const_iterator it = Synchronizeable::objectList().begin();
        it != Synchronizeable::objectList().end();
       ++it)
